package com.gxwebsoft.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单状态枚举
 */
@AllArgsConstructor
@Getter
public enum ShopDealerTypeEnum {


    FREEZE_ACCOUNT(1, "操作冻结账户余额"),
    WITHDRAW_ACCOUNT(2, "操作提现账户余额【直接结算】"),
    DEFROST(3, "解冻"),
    ORDER_REFUND(4, "退单");

    private final Integer code;
    private final String desc;

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}